Skip to main content
`Ctrl`+`K`

# NEPConvergenceTestFn

A prototype of a `NEP` convergence test function that would be passed to `NEPSetConvergenceTestFunction()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode NEPConvergenceTestFn(NEP nep,PetscScalar eigr,PetscScalar eigi,PetscReal res,PetscReal *errest,void *ctx);

## Calling Sequence

- nep - the nonlinear eigensolver context

- eigr - real part of the eigenvalue

- eigi - imaginary part of the eigenvalue

- res - residual norm associated to the eigenpair

- errest - [output] computed error estimate

- ctx - optional convergence context, as set by `NEPSetConvergenceTestFunction()`

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetConvergenceTest()`, `NEPSetConvergenceTestFunction()`

## Level

advanced

## Location

include/slepcnep.h

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages